using System.Collections;
using System.Collections.Generic;
using UnityEngine;

[CreateAssetMenu(fileName = "PlayerInputSettings.asset", menuName = "KernelPanic/Player/InputSettings")]
public class PlayerInputSettings : ScriptableObject
{
    public float JumpBufferTime => _jumpBufferTime;
    public float BlinkBufferTime => _blinkBufferTime;
    public float UseBufferTime => _useBufferTime;
    public float FreezeBufferTime => _freezeBufferTime;
    public float MouseSensitivity => _mouseSens;
    public float JoypadSensitivity => _joypadSens;
    
    [SerializeField]
    private float _jumpBufferTime;
    
    [SerializeField]
    private float _blinkBufferTime;
    
    [SerializeField]
    private float _useBufferTime;

    [SerializeField]
    private float _freezeBufferTime;
	
	[SerializeField]
    private float _mouseSens;
    
    [SerializeField]
    private float _joypadSens;
}
