Shader "KernelPanic/stencil"
{
    Properties
    {
	    [HideInInspector]_MainTex ("Base (RGB)", 2D) = "white" {}
    }
    SubShader
    {
        // No culling or depth
//        Cull Off ZWrite Off ZTest Always Blend SrcAlpha OneMinusSrcAlpha
        Tags {"RenderType"="Opaque" "Queue"="Geometry"}
        Pass
        {
            Stencil
            {
                //Ref 1
                //Comp equal
                //Pass keep
                //ZFail keep
            }
            
            CGPROGRAM
            #pragma vertex vert
            #pragma fragment frag

            #include "UnityCG.cginc"

            struct appdata
            {
                float4 vertex : POSITION;
                float2 uv : TEXCOORD0;
            };

            struct v2f
            {
                float2 uv : TEXCOORD0;
                float4 vertex : SV_POSITION;
            };

            v2f vert (appdata v)
            {
                v2f o;
                o.vertex = UnityObjectToClipPos(v.vertex);
                o.uv = v.uv;
                return o;
            }

            sampler2D _MainTex;

            fixed4 frag (v2f i) : SV_Target
            {
                float4 c = tex2D(_MainTex, i.uv);

                return lerp(float4(1,0,0,0),float4(0,0,0,0),step(c.a,0.001));

                // return float4(1,1,1,1);
            }
            ENDCG
        }
    }
}

